Contents
Index 🔎︎

# Logicne funkcije

This category contains the Logical functions.

### Handling non-logical arguments in logical functions

- Zero (0) is equivalent to FALSE and all other numbers are equivalent to TRUE.

- Empty cells and text in cells are ignored.

- A #VALUE error is raised if all arguments are ignored.

- A #VALUE error is raised if one argument is direct text (not text in a cell).

- Errors as argument lead to an error.

To access this command...

Ubaci - Funkcija - Kategorija Logičke

## Ako

Specifira logicni test.

#### Syntax

IF(Test; Then_value; Otherwise_value)

Test je bilo koja vrijednost ili izraz koji moze biti tacan i lazan.

Then_value (optional) je vrijednost TRUE.

Otherwise_value (optional) je vrijednost FALSE.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

#### Example

=IF(A1>5; 100; "too small") ako je vrijednost u A1 is veca od 5, vrijednost 100 je unesena u trenutnu celiju; inace text too small je unesen.

## FALSE

Returns the logical value FALSE. The FALSE() function does not require any arguments and always returns the logical value FALSE.

#### Syntax

FALSE()

#### Example

=FALSE() returns FALSE

=NOT(FALSE()) returns TRUE

## I

Returns TRUE if all arguments are TRUE. If one of the elements is FALSE, this function returns the FALSE value.

The arguments are either logical expressions themselves (TRUE, 1<5, 2+3=7, B8<10) that return logical values, or arrays (A1:C3) containing logical values.

#### Syntax

AND(Logical_value_1; Logical_value_2; ... Logical_value_30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range. The result is TRUE if the logical value in all cells within the cell range is TRUE.

#### Example

Logicne vrijednosti 12<13; 14>12 and 7<6 are to be checked:

=AND(12<13; 14>12; 7<6) returns FALSE.

=AND(FALSE; TRUE) returns FALSE.

## NOT

Obrce logicnu vrijednost

#### Syntax

NOT(Logicna vrijednost)

Logical Value je bilo koja vrijednot izvrnuta

#### Example

=NOT(A). A=TRUE reverses to A=FALSE.

## OR

Returns TRUE ako je najmanje jedan argument TRUE. Ova funkcija vraca vrijednost FALSE ako su svi argumenti logicni FALSE.

The arguments are either logical expressions themselves (TRUE, 1<5, 2+3=7, B8<10) that return logical values, or arrays (A1:C3) containing logical values.

#### Syntax

OR(Logical_value_1; Logical_value_2 ... Logical_value_30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range.

#### Example

Unosi logicnih vrijednosti 12<11; 13>22 and 45=45 su cekirane.

=OR(12<11; 13>22; 45=45) returns TRUE.

=OR(FALSE; TRUE) returns TRUE.

## TRUE

The logical value is set to TRUE. The TRUE() function does not require any arguments and always returns the logical value TRUE.

#### Syntax

TRUE()

#### Example

If A=TRUE and B=FALSE the following examples appear:

=AND(A; B) returns FALSE

=OR(A; B) returns TRUE

=NOT(AND(A; B)) returns TRUE

## XOR

Returns true if an odd number of arguments evaluates to TRUE.

The arguments are either logical expressions themselves (TRUE, 1<5, 2+3=7, B8<10) that return logical values, or arrays (A1:C3) containing logical values.

This function is available since LibreOffice 4.0

#### Syntax

OR(Logical_value_1; Logical_value_2 ... Logical_value_30)

#### Example

=AND(FALSE; TRUE) returns FALSE.

=OR(FALSE; TRUE) returns TRUE.

=OR(FALSE; TRUE) returns TRUE.

Related Topics

Functions by Category